{{ if .Values.serviceAccount.create }}
apiVersion: v1
kind: ServiceAccount
metadata:
  name: {{ .Values.serviceAccount.name }}
  {{- if .Values.namespace }}
  namespace: {{ toYaml .Values.namespace }}
  {{- end }}
  annotations:
  {{- include "custom.annotations" $ | indent 4 }}
  labels:
  {{- include "configseeder.labels" $ | indent 4 }}
  {{- include "custom.labels" $ | indent 4 }}
# Kubernetes Connector requires the token to access the kubernetes api (manage configmaps and secrets)
automountServiceAccountToken: true
{{ end }}